Bug 1469960 - plugin.c:27:19: warning: 'RCSID' defined but not used [-Wunused-const-variable=]
plugin.c:27:19: warning: 'RCSID' defined but not used [-Wunused-const-variable=]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rp-pppoe (Show other bugs)
25
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 03:26 EDT by lsy
Modified: 2017-08-02 16:51 EDT (History)
1 user (show)

See Also:
Fixed In Version: rp-pppoe-3.12-8.fc26 rp-pppoe-3.12-8.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-27 12:53:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lsy 2017-07-12 03:26:05 EDT
with fc25,i use mock build rp-pppoe-3.12-7.fc26.src.rpm.
# mock -r fedora-25-x86_64 --rebuild build rp-pppoe-3.12-7.fc26.src.rpm
below is erro info,what up?

pppoe-server.c: In function 'main':
pppoe-server.c:1532:2: warning: ignoring return value of 'fread', declared with attribute warn_unused_result [-Wunused-result]
  fread(&x, 1, sizeof(x), fp);
  ^~~~~~~~~~~~~~~~~~~~~~~~~~~
pppoe-server.c:1534:2: warning: ignoring return value of 'fread', declared with attribute warn_unused_result [-Wunused-result]
  fread(&CookieSeed, 1, SEED_LEN, fp);
  ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
pppoe-server.c:1708:2: warning: ignoring return value of 'chdir', declared with attribute warn_unused_result [-Wunused-result]
  chdir("/");
  ^~~~~~~~~~
pppoe-server.c:1748:2: warning: ignoring return value of 'ftruncate', declared with attribute warn_unused_result [-Wunused-result]
  ftruncate(LockFD, 0);
  ^~~~~~~~~~~~~~~~~~~~
pppoe-server.c:1750:2: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
  write(LockFD, buf, strlen(buf));
  ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
pppoe-server.c:1762:2: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
  write(KidPipe[1], "X", 1);
  ^~~~~~~~~~~~~~~~~~~~~~~~~
At top level:
pppoe-server.c:18:19: warning: 'RCSID' defined but not used [-Wunused-const-variable=]
 static char const RCSID[] =
                   ^~~~~
gcc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -D_GNU_SOURCE -fno-strict-aliasing -fno-strict-aliasing -Wall -Wstrict-prototypes    '-DPPPOE_PATH="/usr/sbin/pppoe"' '-DPPPD_PATH="/usr/sbin/pppd"' '-DPLUGIN_PATH="/etc/ppp/plugins/rp-pppoe.so"' '-DPPPOE_SERVER_OPTIONS="/etc/ppp/pppoe-server-options"' -Ilibevent '-DVERSION="3.12"' -c -o md5.o md5.c
cd libevent && make DEFINES=""
make[1]: Entering directory '/builddir/build/BUILD/rp-pppoe-3.12/src/libevent'
gcc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -D_GNU_SOURCE -fno-strict-aliasing -fno-strict-aliasing -Wall -Wstrict-prototypes -I..  -c -o event.o event.c
event.c:17:19: warning: 'RCSID' defined but not used [-Wunused-const-variable=]
 static char const RCSID[] =
                   ^~~~~
gcc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -D_GNU_SOURCE -fno-strict-aliasing -fno-strict-aliasing -Wall -Wstrict-prototypes -I..  -c -o event_tcp.o event_tcp.c
event_tcp.c:14:19: warning: 'RCSID' defined but not used [-Wunused-const-variable=]
 static char const RCSID[] =
                   ^~~~~
gcc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -D_GNU_SOURCE -fno-strict-aliasing -fno-strict-aliasing -Wall -Wstrict-prototypes -I..  -c -o hash.o hash.c
hash.c:17:19: warning: 'RCSID' defined but not used [-Wunused-const-variable=]
 static char const RCSID[] =
                   ^~~~~
gcc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -D_GNU_SOURCE -fno-strict-aliasing -fno-strict-aliasing -Wall -Wstrict-prototypes -I..  -c -o event_sig.o event_sig.c
In file included from /usr/include/signal.h:28:0,
                 from event_sig.c:23:
/usr/include/features.h:148:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
 # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
   ^~~~~~~
event_sig.c: In function 'sig_handler':
event_sig.c:149:5: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
     write(Pipe[1], &sig, 1);
     ^~~~~~~~~~~~~~~~~~~~~~~
At top level:
event_sig.c:17:19: warning: 'RCSID' defined but not used [-Wunused-const-variable=]
 static char const RCSID[] =
                   ^~~~~
rm -f libevent.a
ar -cq libevent.a event.o event_tcp.o hash.o event_sig.o
ranlib libevent.a
make[1]: Leaving directory '/builddir/build/BUILD/rp-pppoe-3.12/src/libevent'
gcc -o pppoe-server  pppoe-server.o if.o debug.o common.o md5.o libevent/libevent.a -Wl,-z,relro -specs=/usr/lib/rpm/redhat/redhat-hardened-ld   -Llibevent -levent
gcc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -D_GNU_SOURCE -fno-strict-aliasing -fno-strict-aliasing -Wall -Wstrict-prototypes    '-DPPPOE_PATH="/usr/sbin/pppoe"' '-DPPPD_PATH="/usr/sbin/pppd"' '-DPLUGIN_PATH="/etc/ppp/plugins/rp-pppoe.so"' '-DPPPOE_SERVER_OPTIONS="/etc/ppp/pppoe-server-options"' -Ilibevent '-DVERSION="3.12"' -c -o pppoe-sniff.o pppoe-sniff.c
pppoe-sniff.c:17:19: warning: 'RCSID' defined but not used [-Wunused-const-variable=]
 static char const RCSID[] =
                   ^~~~~
gcc -o pppoe-sniff pppoe-sniff.o if.o common.o debug.o -Wl,-z,relro -specs=/usr/lib/rpm/redhat/redhat-hardened-ld
gcc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -D_GNU_SOURCE -fno-strict-aliasing -fno-strict-aliasing -Wall -Wstrict-prototypes    '-DPPPOE_PATH="/usr/sbin/pppoe"' '-DPPPD_PATH="/usr/sbin/pppd"' '-DPLUGIN_PATH="/etc/ppp/plugins/rp-pppoe.so"' '-DPPPOE_SERVER_OPTIONS="/etc/ppp/pppoe-server-options"' -Ilibevent '-DVERSION="3.12"' -c -o relay.o relay.c
relay.c: In function 'main':
relay.c:338:2: warning: ignoring return value of 'chdir', declared with attribute warn_unused_result [-Wunused-result]
  chdir("/");
  ^~~~~~~~~~
relay.c: In function 'relayLoop':
relay.c:801:6: warning: ignoring return value of 'read', declared with attribute warn_unused_result [-Wunused-result]
      read(CleanPipe[0], &dummy, 1);
      ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
relay.c: In function 'alarmHandler':
relay.c:1528:2: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
  write(CleanPipe[1], "", 1);
  ^~~~~~~~~~~~~~~~~~~~~~~~~~
At top level:
relay.c:17:19: warning: 'RCSID' defined but not used [-Wunused-const-variable=]
 static char const RCSID[] =
                   ^~~~~
gcc -o pppoe-relay relay.o if.o debug.o common.o -Wl,-z,relro -specs=/usr/lib/rpm/redhat/redhat-hardened-ld
gcc -DPLUGIN=1 '-DRP_VERSION="3.12"' -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -D_GNU_SOURCE -fno-strict-aliasing -fno-strict-aliasing -Wall -Wstrict-prototypes    '-DPPPOE_PATH="/usr/sbin/pppoe"' '-DPPPD_PATH="/usr/sbin/pppd"' '-DPLUGIN_PATH="/etc/ppp/plugins/rp-pppoe.so"' '-DPPPOE_SERVER_OPTIONS="/etc/ppp/pppoe-server-options"' -Ilibevent -I/usr/include -c -o plugin/plugin.o -fPIC plugin.c
In file included from pppoe.h:134:0,
                 from plugin.c:31:
/usr/include/linux/in.h:28:3: error: redeclaration of enumerator 'IPPROTO_IP'
   IPPROTO_IP = 0,  /* Dummy protocol for TCP  */
   ^
/usr/include/netinet/in.h:42:5: note: previous definition of 'IPPROTO_IP' was here
     IPPROTO_IP = 0,    /* Dummy protocol for TCP.  */
     ^~~~~~~~~~
/usr/include/linux/in.h:30:3: error: redeclaration of enumerator 'IPPROTO_ICMP'
   IPPROTO_ICMP = 1,  /* Internet Control Message Protocol */
   ^
/usr/include/netinet/in.h:44:5: note: previous definition of 'IPPROTO_ICMP' was here
     IPPROTO_ICMP = 1,    /* Internet Control Message Protocol.  */
     ^~~~~~~~~~~~
/usr/include/linux/in.h:32:3: error: redeclaration of enumerator 'IPPROTO_IGMP'
   IPPROTO_IGMP = 2,  /* Internet Group Management Protocol */
   ^
/usr/include/netinet/in.h:46:5: note: previous definition of 'IPPROTO_IGMP' was here
     IPPROTO_IGMP = 2,    /* Internet Group Management Protocol. */
     ^~~~~~~~~~~~
/usr/include/linux/in.h:34:3: error: redeclaration of enumerator 'IPPROTO_IPIP'
   IPPROTO_IPIP = 4,  /* IPIP tunnels (older KA9Q tunnels use 94) */
   ^
/usr/include/netinet/in.h:48:5: note: previous definition of 'IPPROTO_IPIP' was here
     IPPROTO_IPIP = 4,    /* IPIP tunnels (older KA9Q tunnels use 94).  */
     ^~~~~~~~~~~~
/usr/include/linux/in.h:36:3: error: redeclaration of enumerator 'IPPROTO_TCP'
   IPPROTO_TCP = 6,  /* Transmission Control Protocol */
   ^
/usr/include/netinet/in.h:50:5: note: previous definition of 'IPPROTO_TCP' was here
     IPPROTO_TCP = 6,    /* Transmission Control Protocol.  */
     ^~~~~~~~~~~
/usr/include/linux/in.h:38:3: error: redeclaration of enumerator 'IPPROTO_EGP'
   IPPROTO_EGP = 8,  /* Exterior Gateway Protocol  */
   ^
/usr/include/netinet/in.h:52:5: note: previous definition of 'IPPROTO_EGP' was here
     IPPROTO_EGP = 8,    /* Exterior Gateway Protocol.  */
     ^~~~~~~~~~~
/usr/include/linux/in.h:40:3: error: redeclaration of enumerator 'IPPROTO_PUP'
   IPPROTO_PUP = 12,  /* PUP protocol    */
   ^
/usr/include/netinet/in.h:54:5: note: previous definition of 'IPPROTO_PUP' was here
     IPPROTO_PUP = 12,    /* PUP protocol.  */
     ^~~~~~~~~~~
/usr/include/linux/in.h:42:3: error: redeclaration of enumerator 'IPPROTO_UDP'
   IPPROTO_UDP = 17,  /* User Datagram Protocol  */
   ^
/usr/include/netinet/in.h:56:5: note: previous definition of 'IPPROTO_UDP' was here
     IPPROTO_UDP = 17,    /* User Datagram Protocol.  */
     ^~~~~~~~~~~
/usr/include/linux/in.h:44:3: error: redeclaration of enumerator 'IPPROTO_IDP'
   IPPROTO_IDP = 22,  /* XNS IDP protocol   */
   ^
/usr/include/netinet/in.h:58:5: note: previous definition of 'IPPROTO_IDP' was here
     IPPROTO_IDP = 22,    /* XNS IDP protocol.  */
     ^~~~~~~~~~~
/usr/include/linux/in.h:46:3: error: redeclaration of enumerator 'IPPROTO_TP'
   IPPROTO_TP = 29,  /* SO Transport Protocol Class 4 */
   ^
/usr/include/netinet/in.h:60:5: note: previous definition of 'IPPROTO_TP' was here
     IPPROTO_TP = 29,    /* SO Transport Protocol Class 4.  */
     ^~~~~~~~~~
/usr/include/linux/in.h:48:3: error: redeclaration of enumerator 'IPPROTO_DCCP'
   IPPROTO_DCCP = 33,  /* Datagram Congestion Control Protocol */
   ^
/usr/include/netinet/in.h:62:5: note: previous definition of 'IPPROTO_DCCP' was here
     IPPROTO_DCCP = 33,    /* Datagram Congestion Control Protocol.  */
     ^~~~~~~~~~~~
/usr/include/linux/in.h:50:3: error: redeclaration of enumerator 'IPPROTO_IPV6'
   IPPROTO_IPV6 = 41,  /* IPv6-in-IPv4 tunnelling  */
   ^
/usr/include/netinet/in.h:64:5: note: previous definition of 'IPPROTO_IPV6' was here
     IPPROTO_IPV6 = 41,     /* IPv6 header.  */
     ^~~~~~~~~~~~
/usr/include/linux/in.h:52:3: error: redeclaration of enumerator 'IPPROTO_RSVP'
   IPPROTO_RSVP = 46,  /* RSVP Protocol   */
   ^
/usr/include/netinet/in.h:66:5: note: previous definition of 'IPPROTO_RSVP' was here
     IPPROTO_RSVP = 46,    /* Reservation Protocol.  */
     ^~~~~~~~~~~~
/usr/include/linux/in.h:54:3: error: redeclaration of enumerator 'IPPROTO_GRE'
   IPPROTO_GRE = 47,  /* Cisco GRE tunnels (rfc 1701,1702) */
   ^
/usr/include/netinet/in.h:68:5: note: previous definition of 'IPPROTO_GRE' was here
     IPPROTO_GRE = 47,    /* General Routing Encapsulation.  */
     ^~~~~~~~~~~
/usr/include/linux/in.h:56:3: error: redeclaration of enumerator 'IPPROTO_ESP'
   IPPROTO_ESP = 50,  /* Encapsulation Security Payload protocol */
   ^
/usr/include/netinet/in.h:70:5: note: previous definition of 'IPPROTO_ESP' was here
     IPPROTO_ESP = 50,      /* encapsulating security payload.  */
     ^~~~~~~~~~~
/usr/include/linux/in.h:58:3: error: redeclaration of enumerator 'IPPROTO_AH'
   IPPROTO_AH = 51,  /* Authentication Header protocol */
   ^
/usr/include/netinet/in.h:72:5: note: previous definition of 'IPPROTO_AH' was here
     IPPROTO_AH = 51,       /* authentication header.  */
     ^~~~~~~~~~
/usr/include/linux/in.h:60:3: error: redeclaration of enumerator 'IPPROTO_MTP'
   IPPROTO_MTP = 92,  /* Multicast Transport Protocol  */
   ^
/usr/include/netinet/in.h:74:5: note: previous definition of 'IPPROTO_MTP' was here
     IPPROTO_MTP = 92,    /* Multicast Transport Protocol.  */
     ^~~~~~~~~~~
/usr/include/linux/in.h:62:3: error: redeclaration of enumerator 'IPPROTO_BEETPH'
   IPPROTO_BEETPH = 94,  /* IP option pseudo header for BEET */
   ^
/usr/include/netinet/in.h:76:5: note: previous definition of 'IPPROTO_BEETPH' was here
     IPPROTO_BEETPH = 94,   /* IP option pseudo header for BEET.  */
     ^~~~~~~~~~~~~~
/usr/include/linux/in.h:64:3: error: redeclaration of enumerator 'IPPROTO_ENCAP'
   IPPROTO_ENCAP = 98,  /* Encapsulation Header   */
   ^
/usr/include/netinet/in.h:78:5: note: previous definition of 'IPPROTO_ENCAP' was here
     IPPROTO_ENCAP = 98,    /* Encapsulation Header.  */
     ^~~~~~~~~~~~~
/usr/include/linux/in.h:66:3: error: redeclaration of enumerator 'IPPROTO_PIM'
   IPPROTO_PIM = 103,  /* Protocol Independent Multicast */
   ^
/usr/include/netinet/in.h:80:5: note: previous definition of 'IPPROTO_PIM' was here
     IPPROTO_PIM = 103,    /* Protocol Independent Multicast.  */
     ^~~~~~~~~~~
/usr/include/linux/in.h:68:3: error: redeclaration of enumerator 'IPPROTO_COMP'
   IPPROTO_COMP = 108,  /* Compression Header Protocol  */
   ^
/usr/include/netinet/in.h:82:5: note: previous definition of 'IPPROTO_COMP' was here
     IPPROTO_COMP = 108,    /* Compression Header Protocol.  */
     ^~~~~~~~~~~~
/usr/include/linux/in.h:70:3: error: redeclaration of enumerator 'IPPROTO_SCTP'
   IPPROTO_SCTP = 132,  /* Stream Control Transport Protocol */
   ^
/usr/include/netinet/in.h:84:5: note: previous definition of 'IPPROTO_SCTP' was here
     IPPROTO_SCTP = 132,    /* Stream Control Transmission Protocol.  */
     ^~~~~~~~~~~~
/usr/include/linux/in.h:72:3: error: redeclaration of enumerator 'IPPROTO_UDPLITE'
   IPPROTO_UDPLITE = 136, /* UDP-Lite (RFC 3828)   */
   ^
/usr/include/netinet/in.h:86:5: note: previous definition of 'IPPROTO_UDPLITE' was here
     IPPROTO_UDPLITE = 136, /* UDP-Lite protocol.  */
     ^~~~~~~~~~~~~~~
/usr/include/linux/in.h:74:3: error: redeclaration of enumerator 'IPPROTO_MPLS'
   IPPROTO_MPLS = 137,  /* MPLS in IP (RFC 4023)  */
   ^
/usr/include/netinet/in.h:88:5: note: previous definition of 'IPPROTO_MPLS' was here
     IPPROTO_MPLS = 137,    /* MPLS in IP.  */
     ^~~~~~~~~~~~
/usr/include/linux/in.h:76:3: error: redeclaration of enumerator 'IPPROTO_RAW'
   IPPROTO_RAW = 255,  /* Raw IP packets   */
   ^
/usr/include/netinet/in.h:90:5: note: previous definition of 'IPPROTO_RAW' was here
     IPPROTO_RAW = 255,    /* Raw IP packets.  */
     ^~~~~~~~~~~
In file included from /usr/include/linux/if_pppol2tp.h:19:0,
                 from /usr/include/linux/if_pppox.h:26,
                 from plugin.c:55:
/usr/include/linux/in.h:78:3: error: redeclaration of enumerator 'IPPROTO_MAX'
   IPPROTO_MAX
   ^~~~~~~~~~~
In file included from pppoe.h:134:0,
                 from plugin.c:31:
/usr/include/netinet/in.h:92:5: note: previous definition of 'IPPROTO_MAX' was here
     IPPROTO_MAX
     ^~~~~~~~~~~
In file included from /usr/include/linux/if_pppol2tp.h:19:0,
                 from /usr/include/linux/if_pppox.h:26,
                 from plugin.c:55:
/usr/include/linux/in.h:84:8: error: redefinition of 'struct in_addr'
 struct in_addr {
        ^~~~~~~
In file included from pppoe.h:134:0,
                 from plugin.c:31:
/usr/include/netinet/in.h:31:8: note: originally defined here
 struct in_addr
        ^~~~~~~
In file included from /usr/include/linux/if_pppol2tp.h:19:0,
                 from /usr/include/linux/if_pppox.h:26,
                 from plugin.c:55:
/usr/include/linux/in.h:167:8: error: redefinition of 'struct ip_mreq'
 struct ip_mreq  {
        ^~~~~~~
In file included from pppoe.h:134:0,
                 from plugin.c:31:
/usr/include/netinet/in.h:266:8: note: originally defined here
 struct ip_mreq
        ^~~~~~~
In file included from /usr/include/linux/if_pppol2tp.h:19:0,
                 from /usr/include/linux/if_pppox.h:26,
                 from plugin.c:55:
/usr/include/linux/in.h:172:8: error: redefinition of 'struct ip_mreqn'
 struct ip_mreqn {
        ^~~~~~~~
In file included from /usr/include/netinet/in.h:37:0,
                 from pppoe.h:134,
                 from plugin.c:31:
/usr/include/bits/in.h:148:8: note: originally defined here
 struct ip_mreqn
        ^~~~~~~~
In file included from /usr/include/linux/if_pppol2tp.h:19:0,
                 from /usr/include/linux/if_pppox.h:26,
                 from plugin.c:55:
/usr/include/linux/in.h:178:8: error: redefinition of 'struct ip_mreq_source'
 struct ip_mreq_source {
        ^~~~~~~~~~~~~~
In file included from pppoe.h:134:0,
                 from plugin.c:31:
/usr/include/netinet/in.h:275:8: note: originally defined here
 struct ip_mreq_source
        ^~~~~~~~~~~~~~
In file included from /usr/include/linux/if_pppol2tp.h:19:0,
                 from /usr/include/linux/if_pppox.h:26,
                 from plugin.c:55:
/usr/include/linux/in.h:184:8: error: redefinition of 'struct ip_msfilter'
 struct ip_msfilter {
        ^~~~~~~~~~~
In file included from pppoe.h:134:0,
                 from plugin.c:31:
/usr/include/netinet/in.h:325:8: note: originally defined here
 struct ip_msfilter
        ^~~~~~~~~~~
In file included from /usr/include/linux/if_pppol2tp.h:19:0,
                 from /usr/include/linux/if_pppox.h:26,
                 from plugin.c:55:
/usr/include/linux/in.h:196:8: error: redefinition of 'struct group_req'
 struct group_req {
        ^~~~~~~~~
In file included from pppoe.h:134:0,
                 from plugin.c:31:
/usr/include/netinet/in.h:302:8: note: originally defined here
 struct group_req
        ^~~~~~~~~
In file included from /usr/include/linux/if_pppol2tp.h:19:0,
                 from /usr/include/linux/if_pppox.h:26,
                 from plugin.c:55:
/usr/include/linux/in.h:201:8: error: redefinition of 'struct group_source_req'
 struct group_source_req {
        ^~~~~~~~~~~~~~~~
In file included from pppoe.h:134:0,
                 from plugin.c:31:
/usr/include/netinet/in.h:311:8: note: originally defined here
 struct group_source_req
        ^~~~~~~~~~~~~~~~
In file included from /usr/include/linux/if_pppol2tp.h:19:0,
                 from /usr/include/linux/if_pppox.h:26,
                 from plugin.c:55:
/usr/include/linux/in.h:207:8: error: redefinition of 'struct group_filter'
 struct group_filter {
        ^~~~~~~~~~~~
In file included from pppoe.h:134:0,
                 from plugin.c:31:
/usr/include/netinet/in.h:346:8: note: originally defined here
 struct group_filter
        ^~~~~~~~~~~~
In file included from /usr/include/linux/if_pppol2tp.h:19:0,
                 from /usr/include/linux/if_pppox.h:26,
                 from plugin.c:55:
/usr/include/linux/in.h:221:8: error: redefinition of 'struct in_pktinfo'
 struct in_pktinfo {
        ^~~~~~~~~~
In file included from /usr/include/netinet/in.h:37:0,
                 from pppoe.h:134,
                 from plugin.c:31:
/usr/include/bits/in.h:156:8: note: originally defined here
 struct in_pktinfo
        ^~~~~~~~~~
In file included from /usr/include/linux/if_pppol2tp.h:19:0,
                 from /usr/include/linux/if_pppox.h:26,
                 from plugin.c:55:
/usr/include/linux/in.h:231:8: error: redefinition of 'struct sockaddr_in'
 struct sockaddr_in {
        ^~~~~~~~~~~
In file included from pppoe.h:51:0,
                 from plugin.c:31:
/usr/include/sys/socket.h:90:17: note: originally defined here
 typedef union { __SOCKADDR_ALLTYPES
                 ^
In file included from /usr/include/linux/if_pppol2tp.h:20:0,
                 from /usr/include/linux/if_pppox.h:26,
                 from plugin.c:55:
/usr/include/linux/in6.h:32:8: error: redefinition of 'struct in6_addr'
 struct in6_addr {
        ^~~~~~~~
In file included from pppoe.h:134:0,
                 from plugin.c:31:
/usr/include/netinet/in.h:211:8: note: originally defined here
 struct in6_addr
        ^~~~~~~~
In file included from /usr/include/linux/if_pppol2tp.h:20:0,
                 from /usr/include/linux/if_pppox.h:26,
                 from plugin.c:55:
/usr/include/linux/in6.h:49:8: error: redefinition of 'struct sockaddr_in6'
 struct sockaddr_in6 {
        ^~~~~~~~~~~~
In file included from pppoe.h:51:0,
                 from plugin.c:31:
/usr/include/sys/socket.h:90:17: note: originally defined here
 typedef union { __SOCKADDR_ALLTYPES
                 ^
In file included from /usr/include/linux/if_pppol2tp.h:20:0,
                 from /usr/include/linux/if_pppox.h:26,
                 from plugin.c:55:
/usr/include/linux/in6.h:59:8: error: redefinition of 'struct ipv6_mreq'
 struct ipv6_mreq {
        ^~~~~~~~~
In file included from pppoe.h:134:0,
                 from plugin.c:31:
/usr/include/netinet/in.h:290:8: note: originally defined here
 struct ipv6_mreq
        ^~~~~~~~~
Makefile:139: recipe for target 'plugin/plugin.o' failed


RPM 构建错误:
plugin.c:27:19: warning: 'RCSID' defined but not used [-Wunused-const-variable=]
 static char const RCSID[] =
                   ^~~~~
make: *** [plugin/plugin.o] Error 1
错误:/var/tmp/rpm-tmp.97L63w (%build) 退出状态不好
    /var/tmp/rpm-tmp.97L63w (%build) 退出状态不好
ERROR: Exception(rp-pppoe-3.12-7.fc26.src.rpm) Config(fedora-25-x86_64) 2 minutes 41 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-25-x86_64/result
ERROR: Command failed. See logs for output.
 # bash --login -c /usr/bin/rpmbuild -bb --target x86_64 --nodeps /builddir/build/SPECS/rp-pppoe.spec
Comment 1 lsy 2017-07-12 22:35:14 EDT
what process?
Comment 2 Ngo Than 2017-07-25 03:40:06 EDT
it seems a change in glibc header which causes this issue.
Comment 3 Ngo Than 2017-07-25 05:18:11 EDT
it's fixed in rp-pppoe-3.12-8
Comment 4 Fedora Update System 2017-07-25 05:34:41 EDT
rp-pppoe-3.12-8.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92a21ebe3e
Comment 5 Fedora Update System 2017-07-25 18:54:24 EDT
rp-pppoe-3.12-8.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c3032f351a
Comment 6 Fedora Update System 2017-07-25 21:19:30 EDT
rp-pppoe-3.12-8.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-92a21ebe3e
Comment 7 Fedora Update System 2017-07-27 12:53:09 EDT
rp-pppoe-3.12-8.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 lsy 2017-07-27 21:21:10 EDT
thks, it's ok.
Comment 9 Fedora Update System 2017-08-02 16:51:16 EDT
rp-pppoe-3.12-8.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.